Last Comment Bug 632102 - Intermittent test_bug629838.html | Got MozAfterPaint event 25 time(s).
: Intermittent test_bug629838.html | Got MozAfterPaint event 25 time(s).
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla6
Assigned To: K. Gadd (:kael)
:
Mentors:
Depends on:
Blocks: 648353 438871
  Show dependency treegraph
 
Reported: 2011-02-07 10:52 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
No longer assert that MozAfterPaint fires in sync with mozPaintCount increases. (3.30 KB, patch)
2011-02-15 14:15 PST, K. Gadd (:kael)
roc: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2011-02-07 10:52:51 PST
Could just be coincidence, but it seems odd that this failed with the same number of events on both mozilla-central and TraceMonkey during the same hour, the hour when everything's busy with nightlies and l10n repacks of them.

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1297078413.1297082164.4830.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitests-4/5 on 2011/02/07 03:33:33
s: talos-r3-snow-026

1006 INFO TEST-PASS | /tests/layout/base/tests/test_bug629838.html | Background color iteration 46, afterpaint count: 25, mozpaint count: 55
1007 INFO TEST-PASS | /tests/layout/base/tests/test_bug629838.html | mozPaintCount incremented enough from background color changes.
1008 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/base/tests/test_bug629838.html | Got MozAfterPaint event 25 time(s).

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1297078413.1297082164.4830.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitests-4/5 on 2011/02/07 03:33:33
s: talos-r3-snow-026

1006 INFO TEST-PASS | /tests/layout/base/tests/test_bug629838.html | Background color iteration 46, afterpaint count: 25, mozpaint count: 55
1007 INFO TEST-PASS | /tests/layout/base/tests/test_bug629838.html | mozPaintCount incremented enough from background color changes.
1008 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/base/tests/test_bug629838.html | Got MozAfterPaint event 25 time(s).
Comment 1 K. Gadd (:kael) 2011-02-08 09:28:16 PST
I suspected that
Comment 2 K. Gadd (:kael) 2011-02-08 09:29:27 PST
Doh, pressed enter by accident. Anyway, I suspected that this test might be vulnerable to machine load. I could try and fix it by adjusting the constants, but I think it's probably just better to fall back on merely testing that we get enough afterpaint events 'eventually', and drop the strict timing requirements since they seem to be unreliable.
Comment 3 K. Gadd (:kael) 2011-02-15 14:15:33 PST
Created attachment 512595 [details] [diff] [review]
No longer assert that MozAfterPaint fires in sync with mozPaintCount increases.

I've attached a patch that changes the assertions in this test so that it merely requires MozAfterPaint to fire a certain number of times eventually, instead of asserting that it fires in sync with mozPaintCount increases. This should be reliable, even if it lets later breakages through.
Comment 4 Treeherder Robot 2011-03-28 23:17:34 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1301374872.1301378874.29497.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitests-4/5 on 2011/03/28 22:01:12

s: talos-r3-leopard-036
1040 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/base/tests/test_bug629838.html | Got MozAfterPaint event 25 time(s).
Comment 5 Olli Pettay [:smaug] (TPAC) 2011-04-22 05:01:34 PDT
Comment on attachment 512595 [details] [diff] [review]
No longer assert that MozAfterPaint fires in sync with mozPaintCount increases.

Kevin, you should ask someone to review the patch.
Comment 6 :Ehsan Akhgari 2011-04-26 14:53:15 PDT
Comment on attachment 512595 [details] [diff] [review]
No longer assert that MozAfterPaint fires in sync with mozPaintCount increases.

I think roc can review this.
Comment 7 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-04-26 15:15:34 PDT
Comment on attachment 512595 [details] [diff] [review]
No longer assert that MozAfterPaint fires in sync with mozPaintCount increases.

Review of attachment 512595 [details] [diff] [review]:
Comment 8 :Ehsan Akhgari 2011-04-28 19:15:15 PDT
Thanks Kevin for your patch.  Guys, can one of you please land this?
Comment 9 Mounir Lamouri (:mounir) 2011-04-29 09:30:52 PDT
Pushed:
https://bugzilla.mozilla.org/show_bug.cgi?id=632102

Note You need to log in before you can comment on or make changes to this bug.